package com.goafanti.common.dao;

import org.apache.ibatis.annotations.Param;

import com.goafanti.common.model.UserInterest;

public interface UserInterestMapper {
    int deleteByPrimaryKey(String id);

    int insert(UserInterest record);

    int insertSelective(UserInterest record);

    UserInterest selectByPrimaryKey(String id);

    int updateByPrimaryKeySelective(UserInterest record);

    int updateByPrimaryKey(UserInterest record);

	UserInterest findByFromUidAndToUid(@Param("fromUid")String fromUid, @Param("toUid")String toUid);

	Integer countByToUid(String toUid);

	int deleteInterest(@Param("uid")String uid, @Param("objectId")String objectId);

	int checkUidAndDid(@Param("uid")String uid, @Param("id")String id);

	int countInterest(String uid);

	

	
}